Phenotypes Genomic Elements
curl --request GET \
--url https://api.catalogkg.igvf.org/api/phenotypes/genomic-elementsimport requests
url = "https://api.catalogkg.igvf.org/api/phenotypes/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catalogkg.igvf.org/api/phenotypes/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"source": "<string>",
"source_url": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"files_filesets": "<string>",
"genomic_element": "<string>",
"phenotype": "<string>",
"crispr_modality": "<string>",
"z_score": 123,
"p_value": 123,
"neg_log10_pvalue": 123,
"significant": true,
"num_guides": 123,
"num_guides_hit": 123,
"num_guides_nonhit": 123,
"fraction_guides_hit": 123,
"phenotype_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Phenotypes Genomic Elements
Retrieve genomic elements associated with phenotypes.
At least one of these properties must be defined: phenotype_id, phenotype_name, or files_fileset.
Set significant = true to return only significant associations.
Set verbose = true to retrieve full info on the genomic element.
Example: phenotype_id = GO_0008283,
phenotype_name = cell population proliferation,
significant = true,
files_fileset = IGVFFI9584UDAS.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Phenotypes Genomic Elements
curl --request GET \
--url https://api.catalogkg.igvf.org/api/phenotypes/genomic-elementsimport requests
url = "https://api.catalogkg.igvf.org/api/phenotypes/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catalogkg.igvf.org/api/phenotypes/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"source": "<string>",
"source_url": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"files_filesets": "<string>",
"genomic_element": "<string>",
"phenotype": "<string>",
"crispr_modality": "<string>",
"z_score": 123,
"p_value": 123,
"neg_log10_pvalue": 123,
"significant": true,
"num_guides": 123,
"num_guides_hit": 123,
"num_guides_nonhit": 123,
"fraction_guides_hit": 123,
"phenotype_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
cell population proliferation, cell migration Available options:
true Available options:
Homo sapiens Available options:
true, false Response
Successful response